`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 28.11.2021 14:15:22
// Design Name: 
// Module Name: ac_top_tb
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps  // time-unit = 1 ns, precision = 10 ps

module ac_top_tb;
wire        clk_out1;
wire        clk_out_2;
// Status and control signals
reg        resetn;
wire        locked;
// Clock in ports
reg         clk_in;       

localparam period_osci = 20;  
localparam period_osci_half = period_osci/4;

ac_top UUT(
 // Clock out ports
  .clk_out1(clk_out1),
  .clk_out_2(clk_out_2),
  // Status and control signals
  .resetn(resetn),
  .locked(locked),
 // Clock in ports
  .clk_in(clk_in)    
  );
  
// main process
    
        always 
            begin
                clk_in = 1'b0;
                #period_osci_half;
                clk_in = ~clk_in;
                #period_osci_half;
            end
  
  initial 
        begin 
           resetn = 1;
            #5
            resetn = 1;
            #5 //25
            resetn = 0;
            
        end  
  
endmodule
